#
# spec file for package avxsynth
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Marguerite Su <marguerite@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 0
#See: https://en.opensuse.org/openSUSE:Shared_library_packaging_policy
%define rel marguerite
Name:           avxsynth
Version:        4.0git20140427
Release:        5.9
Summary:        Linux Port of Avisynth
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            https://github.com/avxsynth/avxsynth
Source:         %{name}-%{version}.tar.gz
#PATCH-FIX-UPSTREAM marguerite@opensuse.org remove __DATE__ and __TIME__
Patch0:         %{name}-DATE_TIME.patch
#PATCH-FIX-UPSTREAM libjpeg-1.3.9.patch avvissu@yandex.ru -- Fix build with libjpeg >= 1.3.9
Patch1:         4.0git20140427_libjpeg-1.3.9.patch
Patch2:         avxsynth-ffmpeg.patch
Patch3:         avxsynth.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  dos2unix
BuildRequires:  libjpeg-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  yasm
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(ffms2)
BuildRequires:  pkgconfig(libavcodec) = 56.60.100
BuildRequires:  pkgconfig(libavformat) = 56.40.101
BuildRequires:  pkgconfig(libavutil) = 54.31.100
BuildRequires:  pkgconfig(libswscale) = 3.1.101
BuildRequires:  pkgconfig(log4cpp)
BuildRequires:  pkgconfig(pango)
Provides:       avisynth = %{version}
Obsoletes:      avisynth < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%ifarch armv6l armv6hl
BuildRequires:  -raspberrypi-userland
BuildRequires:  Mesa-libEGL1
BuildRequires:  pkgconfig(egl)
%endif

%description
AvxSynth is a Linux port of the AviSynth toolkit. The objective of the porting effort
was to bring the power of AviSynth into the Linux world. In particular, we are interested
in AviSynth as a frame server front-end to the encode step of our media pipeline.

%package -n     lib%{name}%{soname}
Summary:        Libraries for avxsynth
License:        GPL-2.0+
Group:          System/Libraries

%description -n lib%{name}%{soname}
AvxSynth is a Linux port of the AviSynth toolkit. The objective of the porting effort
was to bring the power of AviSynth into the Linux world. In particular, we are interested
in AviSynth as a frame server front-end to the encode step of our media pipeline.

%package        plugins
Summary:        Plugins for avxsynth
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Requires:       %{name} = %{version}

%description    plugins
AvxSynth is a Linux port of the AviSynth toolkit. The objective of the porting effort
was to bring the power of AviSynth into the Linux world. In particular, we are interested
in AviSynth as a frame server front-end to the encode step of our media pipeline.

This package includes the avxsynth plugins.

%package        devel
Summary:        Development Headers for Avxsynth
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{soname} = %{version}

%description devel
AvxSynth is a Linux port of the AviSynth toolkit. The objective of the porting effort
was to bring the power of AviSynth into the Linux world. In particular, we are interested
in AviSynth as a frame server front-end to the encode step of our media pipeline.

This package provides development headers for avxsynth.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
# Fix wrong-file-end-of-line-encoding
dos2unix -k plugins/autocrop/AutoCrop.txt
export RCC=$(type -p rcc)
autoreconf -i
%configure
make %{?_smp_mflags}

%install
%make_install

# Fix Documentation
rm -rf %{buildroot}%{_datadir}/doc/%{name}

# Clear .la files
find %{buildroot} -type f -name "*.la" -delete -print

%post -n lib%{name}%{soname} -p /sbin/ldconfig

%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README.md debian/changelog debian/copyright plugins/autocrop/AutoCrop.txt
%{_bindir}/AVXEdit
%{_bindir}/avxFrameServer

%files -n lib%{name}%{soname}
%defattr(-,root,root)
%{_libdir}/libavxsynth.so.0
%{_libdir}/libavxsynth.so.0.0.0
%{_libdir}/libavxutils.so.0
%{_libdir}/libavxutils.so.0.0.0

%files plugins
%defattr(-,root,root)
%{_libdir}/%{name}

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/libavxsynth.so
%{_libdir}/libavxutils.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/avxutils.pc

%changelog
* Mon Feb  9 2015 avvissu@yandex.ru
- Fix build with libjpeg >= 1.3.9 (git20140427_libjpeg-1.4.0.patch)
- Fix build on openSUSE 11.4 (4.0git20140427_rcc.patch)
- Fix build on armv6l (exclude raspberrypi-userland)
- Fix shlib-policy-missing-suffix:
  * adapted spec-file in accordance with the shared library policy
  * add plugins package
- Use pkgconfig in package names
- Fix wrong-file-end-of-line-encoding
- Spec file cleanup
* Sun Apr 27 2014 i@margueirte.su
- update version 4.0git20140427
- add patch: avxsynth-DATE_TIME.patch
* Mon Feb 25 2013 marguerite@opensuse.org
- initial package version 4.0
